module GrisAccounts
  module AuthorizationHelpers
    def require_access_to_account(account_id)
      @account_ids = payload_content['account_ids'] if payload_content
      gris_error!('Forbidden.', 403) unless @account_ids &&
                                            (@account_ids.include? account_id.to_i)
    end

    def user_id_from_payload
      @user_id = payload_content['id'] if payload_content
      gris_error!('Forbidden.', 403) unless @user_id
    end

    private

    def payload_content
      @env['GRIS_JWT_PAYLOAD'].first if @env['GRIS_JWT_PAYLOAD']
    end
  end
end
